
Redmine - Patch #738

my page: new "Projects I am in" block

2008-02-25 15:50 - chris mcharg

Status: Closed Start date: 2008-02-25

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

The info that I really want on my my page is a list of tickets assigned to me and a list of projects I'm in.

This patch adds a block for the list of projects... nice and simple.

It is based on existing code, so it should work OK :)

History

#1 - 2008-04-09 05:40 - Raz Mataz

i vote +1 for that feature

#2 - 2008-06-05 02:25 - Bill Marquette

This is also something I just wrote for my own install within two hours of installation.  The biggest difference between the attached patch and what I

did, was that I used the find code right out of the projects controller to find the list of projects (Project.find :all, :conditions =>

Project.visible_by(User.current), :include => :parent)

#3 - 2009-03-09 10:43 - Romain GEORGES

update for the new version (resolve the bug with "parent")

The code is like in account/show

<h3><%=l(:label_projects_i_am_in)%></h3>

<% user = User.active.current

memberships = user.memberships.select do |membership|

membership.project.is_public? || (User.current.member_of?(membership.project))

end

>

< unless memberships.empty? >

<h3><=l(:label_project_plural)%></h3>

<ul>

<% for membership in memberships >

<li><= link_to(h(membership.project.name), :controller => 'projects', :action => 'show', :id => membership.project) >

(<=h membership.role.name >, <= format_date(membership.created_on) >)</li>

< end >

</ul>

< end %>

<p class="small"><%= link_to l(:label_project_all), :controller => 'projects', :action => 'index' %></p>

#4 - 2009-03-09 10:45 - Romain GEORGES

Oups sorry for this crash text ;)

I will join a new version of the patch file

#5 - 2009-03-09 10:51 - Romain GEORGES

- File mypage-block-projects_2.patch added

#6 - 2011-02-01 02:37 - Ladislav Nesnera

- Status changed from New to Resolved

- % Done changed from 0 to 100

It seems be resolved. I'm closing ;?)
#7 - 2013-01-15 22:38 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

Files

mypage-block-projects.patch 2.27 KB 2008-02-25 chris mcharg

mypage-block-projects_2.patch 1.87 KB 2009-03-09 Romain GEORGES
